<?php

/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Malin Lorch <mlorch@liquidweb.com>
 * @date    Apr 20, 2020
 */

 require_once(__DIR__ . '/Mock.php');


class Mock_BackupPlan extends Mock
{
    /**
     * Constructor.
     *
     * @param boolean $throwException
     */
    public function __construct($throwException)
    {
        parent::__construct($throwException);
    }


    /**
     * Get plan details as array.
     */
    public function getPlanDetails()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Check if plan is enabled.
     */
    public function isEnabled()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Get scheduled days.
     */
    public function getScheduleDays()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Get scheduled time.
     */
    public function getScheduledTime()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Get type.
     */
    public function getType()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Get id.
     */
    public function getId()
    {
        $this->_throwExceptionIfSet();
    }


    /**
     * Check if pre/post scripts are ok.
     */
    public function prePostScriptsOK()
    {
        $this->_throwExceptionIfSet();
    }


    /**
     * Cache plan.
     */
    public function cachePlan()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Add resource to plan.
     *
     * @param string $instanceId
     */
    public function addResource($instanceId)
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Remove resource from plan.
     */
    public function removeResource()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Remove resource from plan.
     *
     * @param string $instanceId
     */
    public function runBackup($instanceId)
    {
        $this->_throwExceptionIfSet();
    }
}
