<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Malin Lorch <mlorch@liquidweb.com>
 * @date    Jul 22, 2020
 */

require_once(__DIR__ . '/Mock.php');

class Mock_RecoveryPointSw extends Mock
{
    const LEGACY_ID = 'legacyId';
    const MACHINE_ID = 'machineid';
    const CREATED = 'created';
    const AGENT_ID = 'agentid';
    const SUB_ID = 'agentid';
    const DUMPS_ID = 'agentid';

    /**
     *
     * @return string
     */
    public function getLegacyId()
    {
        $this->_throwExceptionIfSet();
        return self::LEGACY_ID;
    }

    /**
     *
     * @return string
     */
    public function getMachineId()
    {
        $this->_throwExceptionIfSet();
        return self::MACHINE_ID;
    }

    /**
     *
     * @return string
     */
    public function getCreated()
    {
        $this->_throwExceptionIfSet();
        return self::CREATED;
    }

    /**
     *
     * @return string
     */
    public function getAgentTenantId()
    {
        $this->_throwExceptionIfSet();
        return self::AGENT_ID;
    }

    /**
     *
     * @return string
     */
    public function getSubscriptionId()
    {
        $this->_throwExceptionIfSet();
        return self::SUB_ID;
    }

    /**
     * @return string
     */
    public function getDbDumpsId()
    {
        $this->_throwExceptionIfSet();
        return self::DUMPS_ID;
    }

    /**
     * @param array $dirs
     */
    public function recoverDirectories(array $dirs)
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * @param array $dirs
     */
    public function restoreToAltLocation(array $dirs)
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * @param array $dirs
     */
    public function restoreToSwAltLocation(array $dirs)
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * Get db details from dumps.
     */
    public function getDbDetailsFromDumps()
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * @return array
     */
    public function getRootContent()
    {
        $this->_throwExceptionIfSet();
        return array();
    }

    /**
     * @param string $dirPath
     */
    public function getDirectoryContent($dirPath)
    {
        $this->_throwExceptionIfSet();
        return array();
    }

    /**
     * @return array
     */
    public function getDbs()
    {
        $this->_throwExceptionIfSet();
        return array();
    }

    /**
     * @param array $dbs
     */
    public function restoreDatabases(array $dbs)
    {
        $this->_throwExceptionIfSet();
    }

    /**
     * @param array $dbs
     */
    public function restoreDatabasesAltLocation(array $dbs)
    {
        $this->_throwExceptionIfSet();
    }
}
