import { openModal } from './backupsHelpers.js';
import { getAltLocation } from '../sessionStorage/sessionStorage.js';

export const startRecFilesAltLocationButtonId = 'ab-start-file-recovery-alt-location';
export const startRecDbsAltLocationButtonId = 'ab-start-db-recovery-alt-location';

export const openFileAltLocationModal = () => {
    let header = 'Recover to Temp Location';
    let content = getContent(startRecFilesAltLocationButtonId, 'databases');
    let width = 450;
    openModal(header, content, width);
}

export const openDatabaseAltLocationModal = () => {
    let header = 'Recover to Temp Location';
    let content = getContent(startRecDbsAltLocationButtonId, 'databases');
    let width = 450;
    openModal(header, content, width);
}

const getContent = (id, type) => (
    `<div class="ab-modal-content">
            The selected ${type} will be restored to the following location:
            ${getFilesLocationHtml()}

            <button class="ab-buttons" id="${id}">Start recovery</button>
        </div>`
);


export const getFilesLocationHtml = () => `<code>${getAltLocation()}</code>`;
