import {
    setBreadcrumbs,
    getBreadcrumbs,
    setBackupId,
    setPath
} from '../sessionStorage/sessionStorage.js';
import { router, getBreadcrumbPath } from './router.js';

export const breadcrumbsDirClass = 'ab-breadcrumbs-dir';
const $breadcrumbsDiv = $(`#ab-breadcrumbs`);

export const removeBreadcrumbs = () => $breadcrumbsDiv.html('');


export const createBreadcrumbs = (backupId, displayName) => {
    setBackupId(displayName, backupId);

    // rerouting will automatically ensure breadcrumb update.
    router.route(displayName);
}

export const addToBreadcrumbs = (name, dirPath) => {
    let breadcrumbPath = `${getBreadcrumbs()}/${name.trim()}`;
    setPath(breadcrumbPath, dirPath);

    router.route(breadcrumbPath);
}


// updates breadcrumbs without savid dir id etc. called in router on hash change.
export const updateBreadcrumbs = (path) => {
    setBreadcrumbs(path);

    let breadcrumbs = getBackupsLink();
    let items = path.split('/');

    items.forEach((name, index) => {
        let isLast = index === items.length - 1;
        breadcrumbs += isLast ? ` > ${name}` : ` > ${getDirLink(name)}`;
    });

    $breadcrumbsDiv.html(breadcrumbs);
}


const getBackupsLink = () => {
    let pathname = window.location.pathname.substr(1).split('/')[0];
    let url = `/${pathname}/acronis?tab=backups`;
    return `<a href="${url}">Backups</a>`;
}

const getDirLink = (name) => `<a class="${breadcrumbsDirClass}"> ${name}</a>`;

