import {
    getTextSelectedDirNames,
    openModal
} from './backupsHelpers.js';


const checkboxDeleteId = 'acronis-delete-checkbox';
export const recoverFilesButtonId = 'ab-recover-files';
export const recoverDbsButtonId = 'ab-recover-dbs';

export const openFileRecoveryModal = () => {
    let header = 'Recover Files';
    let content = getFileRecoveryContent();
    openModal(header, content);
}

const getFileRecoveryContent = () => {
    let filesToBeRecovered = getTextSelectedDirNames();

    let message = `The following files will be recovered: ${filesToBeRecovered}`;
    let warningMessage = getWarningHtml();
    let recoveryButton = getRecoveryButtonHtml(recoverFilesButtonId);
    let deleteCheckbox = getDeleteCheckboxHtml();

    return (
        `<div class="ab-modal-content">
            ${warningMessage}
            ${message}
            ${deleteCheckbox}
            ${recoveryButton}
        </div>`);
}

const getWarningHtml = () => {
    let warningMessage = 'Note that the operating system of the InterWorx host may work incorrectly if you recover system files.';
    return `<div class="ab-alert ab-alert-warning">${warningMessage}</div>`;
}

const getRecoveryButtonHtml = (id) => `<button id="${id}" class="ab-buttons">Start recovery</button>`;
const getDeleteCheckboxHtml = () => `<span><input type="checkbox" id="${checkboxDeleteId}"> ${getLabel()}</span>`;
const getLabel = () => `<label for="${checkboxDeleteId}">${getLabelText()}</label>`;
const getLabelText = () => 'Delete any files in the original location that were created after the backup';

export const deleteCheckboxSelected = () => $(`#${checkboxDeleteId}`).prop('checked');

// TODO sepearate into different file?
export const openDatabaseRecoveryModal = () => {
    let header = 'Recover Databases';
    let recoveryButton = getRecoveryButtonHtml(recoverDbsButtonId);
    let content = (`<div class="ab-modal-content">
        The selected databases will be recovered to the original location.

        ${recoveryButton}</div>`
    );

    openModal(header, content);
}