import { sendNwCtrlRequest } from './../ctrlActions.js';

import {
    toggleVisibility,
    refreshPage
} from '../helpers.js';


const $enableBackupBtn = $('#ab-enable-backup-button');
const $doneBtn = $('.ab-install-agent-done-button');

const firstStepId = 'ab-install-agent-first';
const secondStepId = 'ab-install-agent-second';
const thirdStepFailureId = 'ab-install-agent-third-failed';
const thirdStepSuccessId = 'ab-install-agent-third-success';


export const registerEventListeners = () => {
    $enableBackupBtn.on('click', () => startInstallation());
    $doneBtn.on('click', () => refreshPage());
}

const startInstallation = () => {
    toggleVisibility(firstStepId);
    toggleVisibility(secondStepId);

    sendNwCtrlRequest(xhr.action, xhr.callback);
}

const xhr = {
    action: 'installBackupAgentCommit',
    callback: (reply, success) => displayResult(reply, success)
}

const displayResult = (reply, success) => {
    let thirdStepId = success ? thirdStepSuccessId : thirdStepFailureId;
    toggleVisibility(secondStepId);
    toggleVisibility(thirdStepId);
}
