import { handleResponseError } from '../../helpers.js';
const dashboardContainerId = 'dashboard-container';

export const alertsCallback = (reply, success) => {
    if (!success) {
        handleResponseError(reply);
    } else {
        let alerts = reply.getReplyData();
        if (alerts.length > 0) {
            displayAlertsMessage(alerts);
        }
    }
}

const displayAlertsMessage = (alerts) => {
    let $dashboardContainer = $(`#${dashboardContainerId}`);
    let listItems = getAlertsListItems(alerts);
    let alertsDiv = getAlertsDiv(listItems);
    $dashboardContainer.prepend(alertsDiv);
}

const getAlertsListItems = (alerts) => {
    let list = '';
    alerts.forEach(alert => list += `<li> ${alert.createdAt}, ${alert.severity}: ${alert.type}</li>`);
    return list;
}

const getAlertsDiv = (listItems) => (
    `<div id="dashboard-alerts" class="ab-error-message">
        <div class="ab-error-msg-header">ACRONIS ALERTS</div>

        The following errors have occurred:
            <ul>${listItems}</ul>
        Log into the backup console for further information or to clear the errors.
    </div>`
);