export let abCreateHeaderRight = (textContent) => {
    return $(`<h3 class="float-right">${textContent}</h3>`);
}

export let abCreateHeader = (textContent) => {
    return $(`<h3>${textContent}</h3>`);
}


export let abCreateTitleCol = (title) => {
    let $col = $(`<div class="section-title col-sm section-col"></div>`);
    let $h3 = $(`<h3>${title}</h3>`);
    $col.append($h3);
    return $col;
}

export let abCreateCol = ($children) => {
    let $col = $(`<div class="col-sm section-col"></div>`);
    $col.append($children);
    return $col;
}


export let abCreateRow = ($children) => {
    let $row = $(`<div class="row col-row"></div>`)
    $row.append($children);
    return $row;
}

// export let abAppendChildren = (element, children) => children.map(child => element.appendChild(child));

export let getBackupDayDiv = (day) => {
    let $backupDayDiv = $(`<div classes="float-right block"></div>`);
    let $backupDaySpan = $(`<span class="backup-day">${day}</span>`);

    $backupDayDiv.append($backupDaySpan);
    return $backupDayDiv;
}

export let getBackupDateDiv = (month, year, weekday) => {
    let $div = $(`<div class="float-right"></div>`);
    let $span = $(`<span>${month}, ${year}<br>${weekday}</span>`);

    $div.append($span);
    return $div;
}

export let getBackupDateDivNoDate = (textContent) => {
    let $div = $(`<div class="float-right"></div>`)
    let $span = $(`<span>${textContent}</span>`);

    $div.append($span);
    return $div;
}

export let getBackupDateColNoDate = (textContent) => {
    let $div = getBackupDateDivNoDate(textContent);
    let $dateCol = abCreateCol($div);
    $dateCol.addClass('text-right');
    return $dateCol;
}

export let getBackupDateCol = (date) => {

    let $backupDayDiv = getBackupDayDiv(date.day);
    let $backupDateDiv = getBackupDateDiv(date.month, date.year, date.weekday);

    let dateColContent = [$backupDayDiv, $backupDateDiv];
    let $dateCol = abCreateCol(dateColContent);

    $dateCol.addClass('text-right');
    return $dateCol;
}

export let getBackupTimeCol = (time) => {
    let lastBackupTime = time ? time : '--:--';

    let $spanWrapper = $(`<span class="backup-time"></span>`)
    let $timeSpan = $(`<span class="last-backup-time">${lastBackupTime}</span>`)
    $spanWrapper.append($timeSpan);

    let $timeCol = abCreateCol($spanWrapper);
    $timeCol.addClass('text-right');
    return $timeCol;
}

export let createStatsRow = (title, amount, borderBottom) => {
    let $span = $(`<span>${title}</span>`);
    let $spanCol = createStatsCol($span);
    $spanCol.addClass('my-auto');

    let $link = $(`<a href="" class="dashboard-stats-number">${amount}</a>`);
    let $linkCol = createStatsCol($link);
    $linkCol.addClass('text-right');

    let rowContent = [spanCol, linkCol];
    let $row = abCreateRow(rowContent);

    $row.addClass('dashboard-stats-row');

    if (borderBottom) {
        $row.addClass('border-bottom');
    }

    return $row;
}


export let createStatsCol = ($children) => {
    let $col = $(`<div class="col-sm"></div>`);
    $col.append($children)
    return $col;
}
