import {
    abCreateTitleCol,
    abCreateRow,
    createStatsRow
} from './dashboardHelpers.js';

export let abOperationsSection = {
    // action to call in ctrl.
    action: 'operationscommit',
    callback: (reply, success) => {

        if (!success) {
            console.log('something went wrong!');
        }

        let statsData = reply.getReplyData();

        let $firstRow = getFirstRow();
        let $secondRow = getSecondRow(statsData.succeeded);
        let $thirdRow = getThirdRow(statsData.failed);
        let $fourthRow = getFourthRow(statsData.total);

        let $container = $('#dashboard-operations');
        $container.append([$firstRow, $secondRow, $thirdRow, $fourthRow]);
    }
}

let getFirstRow = () => {
    let $titleCol = abCreateTitleCol('OPERATIONS FOR THE LAST 7 DAYS');
    let $row = abCreateRow([$titleCol]);
    return $row;
}

let getSecondRow = (amount) => {
    let title = 'Succeeded';
    let borderBottom = true;
    let $succeededRow = createStatsRow(title, amount, borderBottom);
    return $succeededRow;
}

let getThirdRow = (amount) => {
    let title = 'Failed';
    let borderBottom = true;
    let failedRow = createStatsRow(title, amount, borderBottom);
    return failedRow;
}

let getFourthRow = (amount) => {
    let title = 'Total';
    let borderBottom = false;
    let totalRow = createStatsRow(title, amount, borderBottom);
    return totalRow;
}