import { handleResponseError } from '../../helpers.js';
import { loadCloudStorageSection } from './cloudstorage.js';
import { loadBackupSection } from './backup.js';
import { loadNextBackupSection } from './nextBackup.js';
import { loadLastBackupSection } from './lastBackup.js';

export const loadSectionsCallback = (reply, success) => {
    if (!success) {
        handleResponseError(reply);
    } else {
        let dashboardData = reply.getReplyData();
        loadCloudStorageSection(dashboardData.size);
        loadBackupSection(dashboardData);
        loadLastBackupSection(dashboardData.lastBackup, dashboardData.lastStatus);
        loadNextBackupSection(dashboardData.nextBackup, dashboardData.lastStatus);
    }
}