import {
    abCreateTitleCol,
    abCreateRow,
    createStatsRow
} from './dashboardHelpers.js';

export let abTasksSection = {
    // action to call in ctrl.
    // TODO restructure jquery
    action: 'tasks',
    callback: (reply, success) => {

        if (!success) {
            console.log('something went wrong!');
        }

        let statsData = reply.getReplyData();

        let $firstRow = getFirstRow();
        let $secondRow = getSecondRow(statsData.inProgress);
        let $thirdRow = getThirdRow(statsData.queued);

        let container = $('#dashboard-tasks');
        container.append([$firstRow, $secondRow, $thirdRow]);

    }
}

let getFirstRow = () => {
    let $titleCol = abCreateTitleCol('CURRENT TASKS');
    let $row = abCreateRow([$titleCol]);
    return $row;
}

let getSecondRow = (amount) => {
    let title = 'In progress';
    let borderBottom = true;
    let $row = createStatsRow(title, amount, borderBottom);
    return $row;
}

let getThirdRow = (amount) => {
    let title = 'Queued';
    let borderBottom = true;
    let $row = createStatsRow(title, amount, borderBottom);
    return $row;
}