import { xhrTokenInputArgs, swController, sendSwCtrlRequest } from './../ctrlActions.js';
import { callbackRestoreDbsAltLocation, callbackRestoreDatabases } from '../backups/recoveryPoint.js';
import { getSelectedDatabaseNames } from '../backups/backupsHelpers.js';

const restoreDatabases = () => {
    let args = getArgs();
    let action = 'restoreDatabasesCommit';

    sendSwCtrlRequest(action, callbackRestoreDatabases, args);
}

const restoreDatabasesAltLocation = () => {
    let args = getArgs();
    let action = 'restoreDatabasesAltLocationCommit';

    sendSwCtrlRequest(action, callbackRestoreDbsAltLocation, args);
}

const getArgs = () => {
    let args = xhrTokenInputArgs();
    args['databases'] = getSelectedDatabaseNames();

    return args;
}


export const swActions = {
    restoreDatabases: restoreDatabases,
    restoreDatabasesAltLocation: restoreDatabasesAltLocation
}