#!/usr/bin/env bash

trap onError ERR

DIR="$(dirname "${BASH_SOURCE[0]}")"

source "$DIR"/capture-data-config.sh

onError() {
    echo -n "For more details please see \"$LOGFILE\""
}

log_msg() {
    local msg=$1
    echo "$(date -Ins) - ${msg}" >> "$LOGFILE"
}

log_msg "Post-capture data script started."

# Delete any dumps created in the pre-capture-script.

# Remove tmp backup dir if any.
[ -d $TMP_BACKUP_DIR/ ] && rm -rf $TMP_BACKUP_DIR/

log_msg "Post-capture data script finished."